GTPin: gtpin::GtKernelExecDesc Union Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
gtpin::GtKernelExecDesc Union Reference
Kernel Dispatching | GTPin: GEN Architecture

Kernel execution descriptor. More...

`#include <gt_gpu_defs.h>`

## Public Member Functions
template<typename T >
| GtKernelExecDesc (const T &desc)
template<typename F = GtKernelExecDescFormat>
std::string | ToString (GPU_PLATFORM platform, const F &format=F()) const
| Use the specified format to convert this execution descriptor into string.
## Data Fields
struct GtDx11ExecDesc | dx11ExecDesc
| Execution descriptor of the DX11 shader.
struct GtDx12ExecDesc | dx12ExecDesc
| Execution descriptor of the DX12 shader.
struct GtDx12RtExecDesc | dx12RtExecDesc
| Execution descriptor of the DX12 RayTracing shader.
struct GtOclExecDesc | oclExecDesc
| Execution descriptor of the OpenCL kernel.
struct GtVulkanExecDesc | vulkanExecDesc
| Execution descriptor of the Vulkan shader.
struct GtL0ExecDesc | l0ExecDesc
| Execution descriptor of the L0 kernel.

## Detailed Description

Kernel execution descriptor.

## Constructor & Destructor Documentation

template<typename T >

gtpin::GtKernelExecDesc::GtKernelExecDesc | ( | const T & | desc | ) | `[inline]`

Initialize this union by assigning the specified kernel execution descriptor of a concrete type.

Precondition:
  Type T is either GtDx11ExecDesc, GtDx12ExecDesc, GtDx12RtExecDesc, GtVulkanExecDesc, GtOclExecDesc, GtL0ExecDesc, or GtKernelExecDesc.

## Member Function Documentation

template<typename F >

std::string gtpin::GtKernelExecDesc::ToString | ( | GPU_PLATFORM | platform,
|  | const F & | format = `F()`
| ) |  | const

Use the specified format to convert this execution descriptor into string.

Parameters:

  F | Object that implements GtKernelExecDescFormat interface

Returns:
  Formatted string representation of this execution descriptor

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT